SDL Library Documentation
Prev |  | Next

# SDL_WM_IconifyWindow

## Name

SDL_WM_IconifyWindow -- Iconify/Minimise the window

## Synopsis

    #include "SDL.h"

``int SDL_WM_IconifyWindow`(void);`

## Description

If the application is running in a window managed environment SDL attempts to iconify/minimise it. If `SDL_WM_IconifyWindow` is successful, the application will receive a `SDL_APPACTIVE` loss event.

## Return Value

Returns non-zero on success or 0 if iconification is not support or was refused by the window manager.

Prev | Home | Next
SDL_WM_SetIcon | Up | SDL_WM_ToggleFullScreen